## abinit 5.3.4.dfsg

=== Makefile ===
# Thereis no default action:

default:

# This makefile is mainly for cleaning up the Bin and Pot directories:

clean-bin:
	- rm Bin/*.x

clean-pot:
	- rm Pot/*.uspp Pot/*.readme

clean:
	- rm Bin/*.x Pot/*.uspp Pot/*.readme

# Also, for convenience, to compile and install the program in one shot:

compile:
	(cd Source; make; make install; make clean)

=== Source/Makefile ===
#   **********************************************
#   makefile for Ultrasoft Pseudopotential Program
#   **********************************************
#
# ----------------------------------------------------------
# Set options for fortran compiler if necessary
# ----------------------------------------------------------
#
# Specify name of fortran compiler here:
#
FC = f77
#
# Specify any needed compiler options here:
#
FFLAGS=
#
# -----
# Notes
# -----
#
# It is recommended to choose low optimization levels since the
# code runs quickly anyway.
#
# It is recommended to maintain IEEE compatibility of datafiles
# (see file Doc/FORMAT).  For example, for DEC/COMPAQ compilers for
# Alphas, use:
# FFLAGS= -convert big_endian
#
# On most Linux systems you can use "FC = g77" successfully and
# without the need to specify compiler or loader options.  Use of
# Absoft or Intel fortran compilers might require an extra loader
# option (e.g., "-lU77") to point to a library where calls to
# routines like "getarg" can be resolved.  Thus, the use of
# "FC = g77" is recommended as the first recourse when "FC = f77"
# does not work.
#
# The program calls library routines 'edate' and 'itime'.
# On most platforms these are automatically available.
# For IBM rs6000 AIX using the xlf compiler, access these using:
# FFLAGS= -qextname
#
# -----------------------------------------------------
# Normal usage:
# -----------------------------------------------------
#
#   make            Compiles programs and makes runatom.x
#   make install    Installs runatom.x in the ../Bin directory
#   make clean      Cleans up
#
# -----------------------------------------------------
# User does not normally modify below here.
# -----------------------------------------------------

SRCS= runatom.f rwsubs.f initsubs.f aesubs.f pbe.f pssubs.f \
	scgsubs.f numsubs.f relsubs.f bessel.f interpol.f trou.f \
	eissubs.f
OBJS= runatom.o rwsubs.o initsubs.o aesubs.o pbe.o pssubs.o \
	scgsubs.o numsubs.o relsubs.o bessel.o interpol.o trou.o \
	eissubs.o

#------------------------------------------------------------

default: runatom.x

runatom.x:  $(OBJS)
	$(FC) $(OBJS) -o runatom.x

# Note: The $(OBJS) files are made using standard 'implicit rules':
# if, eg, a file 'runatom.o' is needed, it is made via
# 	$(FC) $(FFLAGS) -c -o runatom.o runatom.f

semiclean:
	- rm *.o 	

clean:
	- rm *.o *.x tags

install:
	cp runatom.x ../Bin

#------------------------------------------------------------
#
# Support for editor tag files:
#
tags: 
	ctags $(SRCS)

# For emacs, change 'ctags' to 'etags'

# Usage: after typing
#
#   make tags
#
# you can find a subroutine easily by typing, for example,
#
#   vi -t xctype
#
# The vi editor then automatically opens the file containing subroutine
# 'xctype' and positions the cursor at the start of the subroutine.

=== USpp2Abinit.v1.8.2/Makefile ===
#!/bin/sh -f

# -------------------------------------------
# Machine-dependent variables
# User may (un)comment following lines

#====== Sun OS ==============================
#F90       = f90
#FREEFLAG  = -free
#FIXEDFLAG = -fixed
#F90FLAGS = -O4
#LINKFLAGS = -xlib=sunperf
#SED       = sed

#====== Compaq alpha EV67 ===================
#F90       = f90
#FREEFLAG  = -free
#FIXEDFLAG = -fixed
#F90FLAGS  = -O4 -fast -tune host
#LINKFLAGS = -lcxml
#SED       = sed

#====== IBM RS6000 ==========================
#F90       = xlf90
#FREEFLAG  = -qfree
#FIXEDFLAG = -qfixed
#F90FLAGS  = -O3 -qautodbl=dbl4 -qstrict
#LINKFLAGS = -lessl
#SED       = sed

#====== PC + Linux + IFC6 ===================
#F90       = /opt/intel/compiler60/ia32/bin/ifc
#FREEFLAG  = -FR
#FIXEDFLAG =
#F90FLAGS  = -O3 -w
#LINKFLAGS = lapack_LINUX_IFC6.a lapack_LINUX_IFC6.a -Vaxlib
#SED       = sed

#====== PC + Linux + IFC8 ===================
#F90       = ifort
#FREEFLAG  = -FR
#FIXEDFLAG =
#F90FLAGS  = -O3 -tpp7
#LINKFLAGS = lapack_LINUX_IFC8.a blas_LINUX_IFC8.a -Vaxlib
#SED       = sed

#====== PC + Linux + IFC8 + MKL =============
F90       = ifort
FREEFLAG  = -FR
FIXEDFLAG =
F90FLAGS  = -O3 -tpp7
LINKFLAGS = -L/cea/home/abinit/abinit/UTILS/Intel/mkl80/lib/32 \
            -lmkl_lapack -lmkl -lguide -lpthread -Vaxlib
SED       = sed

#====== PC + Linux + LF95 ===================
#F90       = lf95
#FREEFLAG  = --nfix
#FIXEDFLAG = --fix
#F90FLAGS  = -o2
#LINKFLAGS = -llapack
#SED       = sed

# -----------------------------------------------------
# User does not normally modify below here
# -----------------------------------------------------

# -----------------------------------------------------
# Main targets

default: runatom.x

install:
	-@echo "Copying runatom.x in /uspp-xyz/Bin..."
	-@if [ ! -d ../Bin ];then mkdir ../Bin;fi
	-@cp -f ./runatom.x ../Bin

semiclean:
	-@echo "Cleaning object files in /uspp-addons and /uspp2abinit..."
	-@rm -f ./uspp2abinit/*.o ./uspp2abinit/*.mod ./uspp2abinit/*.d
	-@rm -f ./uspp-addons/*.o ./uspp-addons/*.patched.f

clean: semiclean
	-@echo "Cleaning runatom.x in /USpp2Abinit..."
	-@rm -f ./*.x

clean_all: clean
	-@echo "Cleaning object files in /Source..."
	-@rm -f ../Source/*.o ../Source/*.x
	-@echo "Cleaning runatom.x in /Bin..."
	-@rm -f ../Bin/runatom.x

runatom.x: patch_uspp link_runatom

# -----------------------------------------------------
# Secondary targets

patch_uspp: patch_runatom patch_scgsubs patch_pspcor
	-@echo "Patching Source/runatom.f and Source/scgsubs.f..."
	-@echo "Creating uspp-addons/pspcor.patched.f..."

compile_uspp:
	-@echo "Creating object files in /uspp-xyz/Source..."
	-@cd ../Source; ${MAKE} -f ${PWD}/Makefile uspp_objs

compile_addons:
	-@echo "Creating object files in /uspp-xyz/USpp2Abinit/uspp-addons..."
	-@cd ./uspp-addons; ${MAKE} -f ${PWD}/Makefile addons_objs
	
compile_toabi:
	-@echo "Creating object files in /uspp-xyz/USpp2Abinit/uspp2abinit..."
	-@cd ./uspp2abinit; ${MAKE} -f ${PWD}/Makefile toabi_objs

link_runatom: compile_addons compile_uspp compile_toabi
	-@echo "Linking object files and creating runatom.x..."
	-@${F90} \
        -o runatom.x ./uspp-addons/*.o ../Source/*.o ./uspp2abinit/*.o \
        ${LINKFLAGS}


# -----------------------------------------------------
# Targets for patching uspp code

RUNATOM_LOCATION1="c -- Insert here call to uspp2abinit (1)"
RUNATOM_LOCATION2="c -- Insert here call to uspp2abinit (2)"
RUNATOM_PATCH1_1= "       call toabini1(ifpcor,nang,ncores,ncspvs,nbeta,nqf,idim8,mesh,"
RUNATOM_PATCH1_2= "     +               qtryc,iptype,ikeyee,nbl,nnlz,a,b,exfact,rpcor,"
RUNATOM_PATCH1_3= "     +               z,zv,r,rab,rc,rcloc,rscore,rsvale,snl,wwnl,title)"
RUNATOM_PATCH2_1= "      if (ifpsp.eq.2.and.keyps.eq.3)"
RUNATOM_PATCH2_2= "     +   call toabini4(mesh,rpcor,rspsco,vloc,flname)"
patch_runatom:
	-@${SED} '/^'${RUNATOM_LOCATION1}'/{x;s/^/'${RUNATOM_PATCH1_3}'/;x;G;}' <../Source/runatom.f \
        | ${SED} '/^'${RUNATOM_LOCATION1}'/{x;s/^/'${RUNATOM_PATCH1_2}'/;x;G;}' \
        | ${SED} '/^'${RUNATOM_LOCATION1}'/{x;s/^/'${RUNATOM_PATCH1_1}'/;x;G;}' \
        | ${SED} '/^'${RUNATOM_LOCATION2}'/{x;s/^/'${RUNATOM_PATCH2_2}'/;x;G;}' \
        | ${SED} '/^'${RUNATOM_LOCATION2}'/{x;s/^/'${RUNATOM_PATCH2_1}'/;x;G;}' >./uspp-addons/runatom.patched.f

SCGSUBS_LOCATION1= "c -- Insert here call to uspp2abinit (1)"
SCGSUBS_LOCATION2= "c -- Insert here call to uspp2abinit (2)"
SCGSUBS_PATCH1   = "      call toabini2(kkbeta,nbeta,phi,psi,beta)"
SCGSUBS_PATCH2   = "      call toabini3(nbeta,uuu)"
patch_scgsubs:
	-@${SED} '/^'${SCGSUBS_LOCATION1}'/{x;s/^/'${SCGSUBS_PATCH1}'/;x;G;}' <../Source/scgsubs.f \
        | ${SED} '/^'${SCGSUBS_LOCATION2}'/{x;s/^/'${SCGSUBS_PATCH2}'/;x;G;}' >./uspp-addons/scgsubs.patched.f

PSPCOR_1= "subroutine pspcor("
PSPCOR_2= "end$$"
PSPCOR_3= "subroutine pspcor2("
PSPCOR_4= "tinit = .true."
patch_pspcor:
	-@${SED} -n '/'${PSPCOR_1}'/,/'${PSPCOR_2}'/{s/'${PSPCOR_1}'/'${PSPCOR_3}'/g;s/'${PSPCOR_4}'//g;p;}' \
         <../Source/pssubs.f >./uspp-addons/pspcor.patched.f

# -----------------------------------------------------
USPP_SRCS= rwsubs.f initsubs.f aesubs.f pbe.f pssubs.f \
        numsubs.f relsubs.f bessel.f interpol.f trou.f \
        eissubs.f
USPP_OBJS= rwsubs.o initsubs.o aesubs.o pbe.o pssubs.o \
        numsubs.o relsubs.o bessel.o interpol.o trou.o \
        eissubs.o
uspp_objs: ${USPP_OBJS}
#
ADDONS_SRCS= runatom.patched.f scgsubs.patched.f pspcor.patched.f pawsubs.f
ADDONS_OBJS= runatom.patched.o scgsubs.patched.o pspcor.patched.o pawsubs.o
addons_objs: ${ADDONS_OBJS}
#
TOABI_SRCS= defs_basis.f90 defs_pawps.f90 \
       bess.f90 bessp.f90 calc_dens.f90 calc_dij0.f90 \
       calc_hatden.f90 calc_kij.f90 calc_ntild.f90 \
       calc_occ.f90 calc_qij0.f90 calc_rhoij0.f90 calc_shapef.f90 \
       calc_vh.f90 calc_vhnzc.f90 calc_vhtnzc.f90 calc_vxc.f90 \
       ctrap.f90 gauleg.f90 initpawps1.f90 initpawps2.f90 \
       laplacian.f90 nderiv.f90 opt_proj.f90 ortho_phi.f90 \
       readdat.f90 rdusps1.f90 rdusps2.f90 scale_phi.f90 \
       transfunc.f90 uspp2abinit.f90 wrpawps.f90
TOABI_OBJS= defs_basis.o defs_pawps.o \
       bess.o bessp.o calc_dens.o calc_dij0.o \
       calc_hatden.o calc_kij.o calc_ntild.o \
       calc_occ.o calc_qij0.o calc_rhoij0.o calc_shapef.o \
       calc_vh.o calc_vhnzc.o calc_vhtnzc.o calc_vxc.o \
       ctrap.o gauleg.o initpawps1.o initpawps2.o \
       laplacian.o nderiv.o opt_proj.o ortho_phi.o \
       readdat.o rdusps1.o rdusps2.o scale_phi.o \
       transfunc.o uspp2abinit.o wrpawps.o
toabi_objs: ${TOABI_OBJS}

# -----------------------------------------------------
.SUFFIXES: .o .f .f90
.f.o:
	${F90} ${FIXEDFLAG} ${F90FLAGS} -c $*.f
.f90.o:
	${F90} ${FREEFLAG} ${F90FLAGS} -c $*.f90

=== Utils/Makefile ===
#   **********************************************
#   makefile for Ultrasoft Reformatting Program
#   **********************************************
#
# ----------------------------------------------------------
# Set options for f77 compiler if necessary
# ----------------------------------------------------------
#
# If necessary, uncomment or modify one of the 'FOPTS=' below.
# (And of course, if your compiler is not f77, change that
# too.)
#
# It is recommended to maintain IEEE compatibility of datafiles
# (see file Doc/FORMAT).
#
# It is recommended to choose low optimization levels since the
# code runs quickly anyway.
#
#  --- DEC/COMPAQ compilers for Alphas ---
#      (option '-convert big_endian' to set IEEE compatibility)
#
# FOPTS= -convert big_endian 
#
#  --- IBM rs6000 AIX using the xlf compiler ---
#      (option '-qextname' for compatibility with edate and itime )
#
# FOPTS= -qextname
#
# -----------------------------------------------------
# Normal usage:
# -----------------------------------------------------
#
#   make            Compiles reform.f to make reform.x
#   make install    Installs reform.x in the ../Bin directory
#   make clean      Cleans up
#
# -----------------------------------------------------
# User does not normally modify below here.
# -----------------------------------------------------
#
FFLAGS=  $(FOPTS)

default: reform.x

reform.x: reform.f
	f77 reform.f -o reform.x

read_uspp.x: read_uspp.f
	f77 read_uspp.f -o read_uspp.x

install:
	cp reform.x ../Bin

clean:
	- rm *.x

=== Work/000-Ex/Makefile ===
# This makefile only performs the function of un-installing any
# potentials that may have been installed by running the sample
# makefiles in 'make install' mode.
#
# To run it, type
#
#   make clean

# This should be root directory of the uspp-734 package:
ROOT= ../..

POT=  ${ROOT}/Pot

default:

clean:
	rm ${ROOT}/Pot/000*

=== Work/000-Ex/000-Ex-ca-sp-notest/Makefile ===
#################################################################
# This is the only section that usually needs to be modified
#
# Set parameters:
#   ATOM = chemical symbol of atom
#   CFG  = atomic or ionic configuration used for generation

ATOM= ti
CFG= s2d1

#################################################################
#
# Standard operation:
# 
#   1.   make          Generate pseudopotential
#   2.                 Optionally, inspect potential by viewing *ps*out
#   3.   make install  Install pseudopotential file in target directory
#   4.   make clean    Clean up
#
# For other options, see below
#
#################################################################

# This should be root directory of a7.3.3 package:
ROOT= ../../..

PROG= ${ROOT}/Bin/runatom.x
POT=  ${ROOT}/Pot

AEG= ${ATOM}_ae_${CFG}
PSP= ${ATOM}_ps

default: pseudo

#---------------------------------------------------------------
# run all-electron calculations
#---------------------------------------------------------------

ae: ae_ground

ae_ground: ${AEG}.ae

${AEG}.ae: ${AEG}.adat
	${PROG} ${AEG}.adat ${AEG}.out ${AEG}.ae ${AEG}.atwf ${AEG}.logd dummy

#---------------------------------------------------------------
# generate pseudopotential
#---------------------------------------------------------------

pseudo: ${PSP}.uspp

${PSP}.uspp: ${PSP}.adat ${AEG}.ae
	${PROG} ${PSP}.adat ${PSP}.out ${AEG}.ae ${PSP}.atwf ${PSP}.logd ${PSP}.uspp

#---------------------------------------------------------------
# install pseudopotential in target directory
#---------------------------------------------------------------

install:
	cp ${PSP}.uspp ${POT}/`basename \`pwd\``.uspp
	- cp README ${POT}/`basename \`pwd\``.readme
	echo Installed to ${POT}/`basename \`pwd\``.uspp

# The above should have the effect of storing the potential
# as ${POT}/NAME.uspp where NAME is the last segment of the
# pathname of the current directory.

#---------------------------------------------------------------
# clean up
#---------------------------------------------------------------

clean:
	- rm *.out *.ae *.atwf *.logd *.uspp

# to clean up only pseudo outputs, but preserve results of AE runs:
psclean:
	- rm *_ps.out *_ps.atwf *_ps.logd *.uspp

=== Work/000-Ex/000-Ex-ca-sp-test/Makefile ===
#################################################################
# This is the only section that usually needs to be modified
#
# Set parameters:
#   ATOM = chemical symbol of atom
#   CFG  = atomic or ionic configuration used for generation
#   CFT  = atomic or ionic configuration used for testing

ATOM= ti
CFG= s2d1
CFT= s2d2

#################################################################
#
# Standard operation:
# 
#   1.   make          Generate pseudopotential
#   2.                 Optionally, inspect potential: see below
#   3.   make install  Install pseudopotential file in target directory
#   4.   make clean    Clean up
#
# To inspect the potential after it is generated:
#
#   2a.                View the file *ps*out
#   2b.  make test
#   2c.                View the file *test*out
#       
# For other options, see below
#
#################################################################

# This should be root directory of a7.3.3 package:
ROOT= ../../..

PROG= ${ROOT}/Bin/runatom.x
POT=  ${ROOT}/Pot

AEG= ${ATOM}_ae_${CFG}
AET= ${ATOM}_ae_${CFT}
PSP= ${ATOM}_ps
TST= ${ATOM}_test_${CFT}

default: pseudo

#---------------------------------------------------------------
# run all-electron calculations
#---------------------------------------------------------------

ae: ae_ground ae_test

ae_ground: ${AEG}.ae

ae_test: ${AET}.ae

${AEG}.ae: ${AEG}.adat
	${PROG} ${AEG}.adat ${AEG}.out ${AEG}.ae ${AEG}.atwf ${AEG}.logd dummy

${AET}.ae: ${AET}.adat
	${PROG} ${AET}.adat ${AET}.out ${AET}.ae ${AET}.atwf ${AET}.logd dummy

#---------------------------------------------------------------
# generate pseudopotential
#---------------------------------------------------------------

pseudo: ${PSP}.uspp

${PSP}.uspp: ${PSP}.adat ${AEG}.ae
	${PROG} ${PSP}.adat ${PSP}.out ${AEG}.ae ${PSP}.atwf ${PSP}.logd ${PSP}.uspp

#---------------------------------------------------------------
# test pseudopotential in test configuration
#---------------------------------------------------------------

test: ${TST}.out

${TST}.out: ${TST}.adat ${AET}.ae ${PSP}.uspp
	${PROG} ${TST}.adat ${TST}.out ${AET}.ae ${TST}.atwf ${TST}.logd ${PSP}.uspp

#---------------------------------------------------------------
# install pseudopotential in target directory
#---------------------------------------------------------------

install:
	cp ${PSP}.uspp ${POT}/`basename \`pwd\``.uspp
	- cp README ${POT}/`basename \`pwd\``.readme
	echo Installed to ${POT}/`basename \`pwd\``.uspp

# The above should have the effect of storing the potential
# as ${POT}/NAME.uspp where NAME is the last segment of the
# pathname of the current directory.

#---------------------------------------------------------------
# clean up
#---------------------------------------------------------------

clean:
	- rm *.out *.ae *.atwf *.logd *.uspp

# to clean up only pseudo outputs, but preserve results of AE runs:
psclean:
	- rm *_ps.out *_ps.atwf *_ps.logd *.uspp
	- rm *_test_*.out *_test_*.atwf *_test_*.logd

=== Work/000-Ex/000-Ex-ca-sp-tests/Makefile ===
#################################################################
# This is the only section that usually needs to be modified
#
# Set parameters:
#   ATOM = chemical symbol of atom
#   CFG  = atomic or ionic configuration used for generation
#   CF1  = atomic or ionic configuration used for testing
#   CF2  = another atomic or ionic configuration used for testing

ATOM= ti
CFG= s2d1
CF1= s2d2
CF2= s1d2

#################################################################
#
# Standard operation:
# 
#   1.   make          Generate pseudopotential
#   2.                 Optionally, inspect potential: see below
#   3.   make install  Install pseudopotential file in target directory
#   4.   make clean    Clean up
#
# To inspect the potential after it is generated:
#
#   2a.                View the file *ps*out
#   2b.  make test
#   2c.                View the file *test*out
#       
# For other options, see below
#
#################################################################

# This should be root directory of a7.3.3 package:
ROOT= ../../..

PROG= ${ROOT}/Bin/runatom.x
POT=  ${ROOT}/Pot

AEG= ${ATOM}_ae_${CFG}
AE1= ${ATOM}_ae_${CF1}
AE2= ${ATOM}_ae_${CF2}
PSP= ${ATOM}_ps
TS1= ${ATOM}_test_${CF1}
TS2= ${ATOM}_test_${CF2}

default: pseudo

#---------------------------------------------------------------
# run all-electron calculations
#---------------------------------------------------------------

ae: ae_ground ae_test

ae_ground: ${AEG}.ae

ae_test: ${AE1}.ae ${AE2}.ae

${AEG}.ae: ${AEG}.adat
	${PROG} ${AEG}.adat ${AEG}.out ${AEG}.ae ${AEG}.atwf ${AEG}.logd dummy

${AE1}.ae: ${AE1}.adat
	${PROG} ${AE1}.adat ${AE1}.out ${AE1}.ae ${AE1}.atwf ${AE1}.logd dummy

${AE2}.ae: ${AE2}.adat
	${PROG} ${AE2}.adat ${AE2}.out ${AE2}.ae ${AE2}.atwf ${AE2}.logd dummy

#---------------------------------------------------------------
# generate pseudopotential
#---------------------------------------------------------------

pseudo: ${PSP}.uspp

${PSP}.uspp: ${PSP}.adat ${AEG}.ae
	${PROG} ${PSP}.adat ${PSP}.out ${AEG}.ae ${PSP}.atwf ${PSP}.logd ${PSP}.uspp

#---------------------------------------------------------------
# test pseudopotential in test configuration
#---------------------------------------------------------------

test: ${TS1}.out ${TS2}.out

${TS1}.out: ${TS1}.adat ${AE1}.ae ${PSP}.uspp
	${PROG} ${TS1}.adat ${TS1}.out ${AE1}.ae ${TS1}.atwf ${TS1}.logd ${PSP}.uspp

${TS2}.out: ${TS2}.adat ${AE2}.ae ${PSP}.uspp
	${PROG} ${TS2}.adat ${TS2}.out ${AE2}.ae ${TS2}.atwf ${TS2}.logd ${PSP}.uspp

#---------------------------------------------------------------
# install pseudopotential in target directory
#---------------------------------------------------------------

install:
	cp ${PSP}.uspp ${POT}/`basename \`pwd\``.uspp
	- cp README ${POT}/`basename \`pwd\``.readme
	echo Installed to ${POT}/`basename \`pwd\``.uspp

# The above should have the effect of storing the potential
# as ${POT}/NAME.uspp where NAME is the last segment of the
# pathname of the current directory.

#---------------------------------------------------------------
# clean up
#---------------------------------------------------------------

clean:
	- rm *.out *.ae *.atwf *.logd *.uspp

# to clean up only pseudo outputs, but preserve results of AE runs:
psclean:
	- rm *_ps.out *_ps.atwf *_ps.logd *.uspp
	- rm *_test_*.out *_test_*.atwf *_test_*.logd

=== Work/001-H/001-H-ca--bm/Makefile ===
#################################################################
# This is the only section that usually needs to be modified
#
# Set parameters:
#   ATOM = chemical symbol of atom
#   CFG  = atomic or ionic configuration used for generation

ATOM= h
CFG= s1

#################################################################
#
# Standard operation:
# 
#   1.   make          Generate pseudopotential
#   2.                 Optionally, inspect potential by viewing *ps*out
#   3.   make install  Install pseudopotential file in target directory
#   4.   make clean    Clean up
#
# For other options, see below
#
#################################################################

# This should be root directory of a7.3.3 package:
ROOT= ../../..

PROG= ${ROOT}/Bin/runatom.x
POT=  ${ROOT}/Pot

AEG= ${ATOM}_ae_${CFG}
PSP= ${ATOM}_ps

default: pseudo

#---------------------------------------------------------------
# run all-electron calculations
#---------------------------------------------------------------

ae: ae_ground

ae_ground: ${AEG}.ae

${AEG}.ae: ${AEG}.adat
	${PROG} ${AEG}.adat ${AEG}.out ${AEG}.ae ${AEG}.atwf ${AEG}.logd dummy

#---------------------------------------------------------------
# generate pseudopotential
#---------------------------------------------------------------

pseudo: ${PSP}.uspp

${PSP}.uspp: ${PSP}.adat ${AEG}.ae
	${PROG} ${PSP}.adat ${PSP}.out ${AEG}.ae ${PSP}.atwf ${PSP}.logd ${PSP}.uspp

#---------------------------------------------------------------
# install pseudopotential in target directory
#---------------------------------------------------------------

install:
	cp ${PSP}.uspp ${POT}/`basename \`pwd\``.uspp
	- cp README ${POT}/`basename \`pwd\``.readme
	echo Installed to ${POT}/`basename \`pwd\``.uspp

# The above should have the effect of storing the potential
# as ${POT}/NAME.uspp where NAME is the last segment of the
# pathname of the current directory.

#---------------------------------------------------------------
# clean up
#---------------------------------------------------------------

clean:
	- rm *.out *.ae *.atwf *.logd *.uspp

# to clean up only pseudo outputs, but preserve results of AE runs:
psclean:
	- rm *_ps.out *_ps.atwf *_ps.logd *.uspp

=== Work/001-H/001-H-gpw--campos/Makefile ===
#################################################################
# This is the only section that usually needs to be modified
#
# Set parameters:
#   ATOM = chemical symbol of atom
#   CFG  = atomic or ionic configuration used for generation
#   CFT  = atomic or ionic configuration used for testing

ATOM= H
CFG= ref
CFT1= 1
CFT2= 2
CFT3= 3

#################################################################
#
# Standard operation:
# 
#   1.   make          Generate pseudopotential
#   2.                 Optionally, inspect potential: see below
#   3.   make install  Install pseudopotential file in target directory
#   4.   make clean    Clean up
#
# To inspect the potential after it is generated:
#
#   2a.                View the file *ps*out
#   2b.  make test
#   2c.                View the file *test*out
#       
# For other options, see below
#
#################################################################

# This should be root directory of a7.3.3 package:
ROOT= ../../..

PROG= ${ROOT}/Bin/runatom.x
POT=  ${ROOT}/Pot

AEG= ${ATOM}_ae_${CFG}
AET1= ${ATOM}_ae_${CFT1}
AET2= ${ATOM}_ae_${CFT2}
AET3= ${ATOM}_ae_${CFT3}
PSP= ${ATOM}_ps
TST1= ${ATOM}_test_${CFT1}
TST2= ${ATOM}_test_${CFT2}
TST3= ${ATOM}_test_${CFT3}

default: pseudo

#---------------------------------------------------------------
# run all-electron calculations
#---------------------------------------------------------------

ae: ae_ground ae_test

ae_ground: ${AEG}.ae

ae_test: ${AET1}.ae ${AET2}.ae ${AET3}.ae

${AEG}.ae: ${AEG}.adat
	${PROG} ${AEG}.adat ${AEG}.out ${AEG}.ae ${AEG}.atwf ${AEG}.logd dummy

${AET1}.ae: ${AET1}.adat
	${PROG} ${AET1}.adat ${AET1}.out ${AET1}.ae ${AET1}.atwf ${AET1}.logd dummy

${AET2}.ae: ${AET2}.adat
	${PROG} ${AET2}.adat ${AET2}.out ${AET2}.ae ${AET2}.atwf ${AET2}.logd dummy

${AET3}.ae: ${AET3}.adat
	${PROG} ${AET3}.adat ${AET3}.out ${AET3}.ae ${AET3}.atwf ${AET3}.logd dummy

#---------------------------------------------------------------
# generate pseudopotential
#---------------------------------------------------------------

pseudo: ${PSP}.uspp

${PSP}.uspp: ${PSP}.adat ${AEG}.ae
	${PROG} ${PSP}.adat ${PSP}.out ${AEG}.ae ${PSP}.atwf ${PSP}.logd ${PSP}.uspp

#---------------------------------------------------------------
# test pseudopotential in test configuration
#---------------------------------------------------------------

test: ${TST1}.out ${TST2}.out ${TST3}.out

${TST1}.out: ${TST1}.adat ${AET1}.ae ${PSP}.uspp
	${PROG} ${TST1}.adat ${TST1}.out ${AET1}.ae ${TST1}.atwf ${TST1}.logd ${PSP}.uspp

${TST2}.out: ${TST2}.adat ${AET2}.ae ${PSP}.uspp
	${PROG} ${TST2}.adat ${TST2}.out ${AET2}.ae ${TST2}.atwf ${TST2}.logd ${PSP}.uspp

${TST3}.out: ${TST3}.adat ${AET3}.ae ${PSP}.uspp
	${PROG} ${TST3}.adat ${TST3}.out ${AET3}.ae ${TST3}.atwf ${TST3}.logd ${PSP}.uspp

#---------------------------------------------------------------
# install pseudopotential in target directory
#---------------------------------------------------------------

install:
	cp ${PSP}.uspp ${POT}/`basename \`pwd\``.uspp
	- cp README ${POT}/`basename \`pwd\``.readme
	echo Installed to ${POT}/`basename \`pwd\``.uspp

# The above should have the effect of storing the potential
# as ${POT}/NAME.uspp where NAME is the last segment of the
# pathname of the current directory.

#---------------------------------------------------------------
# clean up
#---------------------------------------------------------------

clean:
	- rm *.out *.ae *.atwf *.logd *.uspp

# to clean up only pseudo outputs, but preserve results of AE runs:
psclean:
	- rm *_ps.out *_ps.atwf *_ps.logd *.uspp
	- rm *_test_*.out *_test_*.atwf *_test_*.logd

=== Work/003-Li/003-Li-gpw-n-campos/Makefile ===
#################################################################
# This is the only section that usually needs to be modified
#
# Set parameters:
#   ATOM = chemical symbol of atom
#   CFG  = atomic or ionic configuration used for generation
#   CFT  = atomic or ionic configuration used for testing

ATOM= Li
CFG= ref
CFT1= 1
CFT2= 2
CFT3= 3

#################################################################
#
# Standard operation:
# 
#   1.   make          Generate pseudopotential
#   2.                 Optionally, inspect potential: see below
#   3.   make install  Install pseudopotential file in target directory
#   4.   make clean    Clean up
#
# To inspect the potential after it is generated:
#
#   2a.                View the file *ps*out
#   2b.  make test
#   2c.                View the file *test*out
#       
# For other options, see below
#
#################################################################

# This should be root directory of a7.3.3 package:
ROOT= ../../..

PROG= ${ROOT}/Bin/runatom.x
POT=  ${ROOT}/Pot

AEG= ${ATOM}_ae_${CFG}
AET1= ${ATOM}_ae_${CFT1}
AET2= ${ATOM}_ae_${CFT2}
AET3= ${ATOM}_ae_${CFT3}
PSP= ${ATOM}_ps
TST1= ${ATOM}_test_${CFT1}
TST2= ${ATOM}_test_${CFT2}
TST3= ${ATOM}_test_${CFT3}

default: pseudo

#---------------------------------------------------------------
# run all-electron calculations
#---------------------------------------------------------------

ae: ae_ground ae_test

ae_ground: ${AEG}.ae

ae_test: ${AET1}.ae ${AET2}.ae ${AET3}.ae

${AEG}.ae: ${AEG}.adat
	${PROG} ${AEG}.adat ${AEG}.out ${AEG}.ae ${AEG}.atwf ${AEG}.logd dummy

${AET1}.ae: ${AET1}.adat
	${PROG} ${AET1}.adat ${AET1}.out ${AET1}.ae ${AET1}.atwf ${AET1}.logd dummy

${AET2}.ae: ${AET2}.adat
	${PROG} ${AET2}.adat ${AET2}.out ${AET2}.ae ${AET2}.atwf ${AET2}.logd dummy

${AET3}.ae: ${AET3}.adat
	${PROG} ${AET3}.adat ${AET3}.out ${AET3}.ae ${AET3}.atwf ${AET3}.logd dummy

#---------------------------------------------------------------
# generate pseudopotential
#---------------------------------------------------------------

pseudo: ${PSP}.uspp

${PSP}.uspp: ${PSP}.adat ${AEG}.ae
	${PROG} ${PSP}.adat ${PSP}.out ${AEG}.ae ${PSP}.atwf ${PSP}.logd ${PSP}.uspp

#---------------------------------------------------------------
# test pseudopotential in test configuration
#---------------------------------------------------------------

test: ${TST1}.out ${TST2}.out ${TST3}.out

${TST1}.out: ${TST1}.adat ${AET1}.ae ${PSP}.uspp
	${PROG} ${TST1}.adat ${TST1}.out ${AET1}.ae ${TST1}.atwf ${TST1}.logd ${PSP}.uspp

${TST2}.out: ${TST2}.adat ${AET2}.ae ${PSP}.uspp
	${PROG} ${TST2}.adat ${TST2}.out ${AET2}.ae ${TST2}.atwf ${TST2}.logd ${PSP}.uspp

${TST3}.out: ${TST3}.adat ${AET3}.ae ${PSP}.uspp
	${PROG} ${TST3}.adat ${TST3}.out ${AET3}.ae ${TST3}.atwf ${TST3}.logd ${PSP}.uspp

#---------------------------------------------------------------
# install pseudopotential in target directory
#---------------------------------------------------------------

install:
	cp ${PSP}.uspp ${POT}/`basename \`pwd\``.uspp
	- cp README ${POT}/`basename \`pwd\``.readme
	echo Installed to ${POT}/`basename \`pwd\``.uspp

# The above should have the effect of storing the potential
# as ${POT}/NAME.uspp where NAME is the last segment of the
# pathname of the current directory.

#---------------------------------------------------------------
# clean up
#---------------------------------------------------------------

clean:
	- rm *.out *.ae *.atwf *.logd *.uspp

# to clean up only pseudo outputs, but preserve results of AE runs:
psclean:
	- rm *_ps.out *_ps.atwf *_ps.logd *.uspp
	- rm *_test_*.out *_test_*.atwf *_test_*.logd

=== Work/005-B/005-B-gpw-n-campos/Makefile ===
#################################################################
# This is the only section that usually needs to be modified
#
# Set parameters:
#   ATOM = chemical symbol of atom
#   CFG  = atomic or ionic configuration used for generation
#   CFT  = atomic or ionic configuration used for testing

ATOM= B
CFG= ref
CFT1= 1
CFT2= 2
CFT3= 3

#################################################################
#
# Standard operation:
# 
#   1.   make          Generate pseudopotential
#   2.                 Optionally, inspect potential: see below
#   3.   make install  Install pseudopotential file in target directory
#   4.   make clean    Clean up
#
# To inspect the potential after it is generated:
#
#   2a.                View the file *ps*out
#   2b.  make test
#   2c.                View the file *test*out
#       
# For other options, see below
#
#################################################################

# This should be root directory of a7.3.3 package:
ROOT= ../../..

PROG= ${ROOT}/Bin/runatom.x
POT=  ${ROOT}/Pot

AEG= ${ATOM}_ae_${CFG}
AET1= ${ATOM}_ae_${CFT1}
AET2= ${ATOM}_ae_${CFT2}
AET3= ${ATOM}_ae_${CFT3}
PSP= ${ATOM}_ps
TST1= ${ATOM}_test_${CFT1}
TST2= ${ATOM}_test_${CFT2}
TST3= ${ATOM}_test_${CFT3}

default: pseudo

#---------------------------------------------------------------
# run all-electron calculations
#---------------------------------------------------------------

ae: ae_ground ae_test

ae_ground: ${AEG}.ae

ae_test: ${AET1}.ae ${AET2}.ae ${AET3}.ae

${AEG}.ae: ${AEG}.adat
	${PROG} ${AEG}.adat ${AEG}.out ${AEG}.ae ${AEG}.atwf ${AEG}.logd dummy

${AET1}.ae: ${AET1}.adat
	${PROG} ${AET1}.adat ${AET1}.out ${AET1}.ae ${AET1}.atwf ${AET1}.logd dummy

${AET2}.ae: ${AET2}.adat
	${PROG} ${AET2}.adat ${AET2}.out ${AET2}.ae ${AET2}.atwf ${AET2}.logd dummy

${AET3}.ae: ${AET3}.adat
	${PROG} ${AET3}.adat ${AET3}.out ${AET3}.ae ${AET3}.atwf ${AET3}.logd dummy

#---------------------------------------------------------------
# generate pseudopotential
#---------------------------------------------------------------

pseudo: ${PSP}.uspp

${PSP}.uspp: ${PSP}.adat ${AEG}.ae
	${PROG} ${PSP}.adat ${PSP}.out ${AEG}.ae ${PSP}.atwf ${PSP}.logd ${PSP}.uspp

#---------------------------------------------------------------
# test pseudopotential in test configuration
#---------------------------------------------------------------

test: ${TST1}.out ${TST2}.out ${TST3}.out

${TST1}.out: ${TST1}.adat ${AET1}.ae ${PSP}.uspp
	${PROG} ${TST1}.adat ${TST1}.out ${AET1}.ae ${TST1}.atwf ${TST1}.logd ${PSP}.uspp

${TST2}.out: ${TST2}.adat ${AET2}.ae ${PSP}.uspp
	${PROG} ${TST2}.adat ${TST2}.out ${AET2}.ae ${TST2}.atwf ${TST2}.logd ${PSP}.uspp

${TST3}.out: ${TST3}.adat ${AET3}.ae ${PSP}.uspp
	${PROG} ${TST3}.adat ${TST3}.out ${AET3}.ae ${TST3}.atwf ${TST3}.logd ${PSP}.uspp

#---------------------------------------------------------------
# install pseudopotential in target directory
#---------------------------------------------------------------

install:
	cp ${PSP}.uspp ${POT}/`basename \`pwd\``.uspp
	- cp README ${POT}/`basename \`pwd\``.readme
	echo Installed to ${POT}/`basename \`pwd\``.uspp

# The above should have the effect of storing the potential
# as ${POT}/NAME.uspp where NAME is the last segment of the
# pathname of the current directory.

#---------------------------------------------------------------
# clean up
#---------------------------------------------------------------

clean:
	- rm *.out *.ae *.atwf *.logd *.uspp

# to clean up only pseudo outputs, but preserve results of AE runs:
psclean:
	- rm *_ps.out *_ps.atwf *_ps.logd *.uspp
	- rm *_test_*.out *_test_*.atwf *_test_*.logd

=== debian/changelog ===
abinit (5.3.4.dfsg-4) unstable; urgency=medium

  * Inject abinit into DebiChem SVN since pkg-scicomp was droped
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - slightly enhanced short descriptions to get rid of lintian
       warnings
     - Removed Christophe Prud'homme and Ondrej Certik from Uploaders
       since both seem to be inactive
       Closes: #550410
  * debian/source/format: 3.0 (quilt)
  * debian/rules + debhelper files: Use short dh
  * use autotools-dev
    Closes: #545054

  [ Daniel Leidert ]
  * debian/watch: Fixed.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2014 14:51:49 +0100

abinit (5.3.4.dfsg-3) unstable; urgency=low

  * Add XS-DM-Upload-Allowed: yes
  * shifted Build-Depends to use the new gfortran based Lapack and Blas
    packages in order to phase out packages dependent on the old g2c/g77
    (Closes: #463942)
  * Homepage field converted to the new style
  * Standards version updated to 3.7.3
  * Old FSF address fixed in debian/copyright
  * abinit-doc moved to the section doc.
  * doc/Makefile.in patch moved to debian/patches managed by quilt 

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 05 Feb 2008 14:09:20 +0100

abinit (5.3.4.dfsg-2) unstable; urgency=low

  [Ondrej Certik]
  * Renamed /usr/bin/newsp to /usr/bin/newsp.abinit. Bug fix: "file
    conflicts between packages", thanks to Michael Ablassmeier (Closes:
    #442237).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 14 Sep 2007 13:05:00 +0200

abinit (5.3.4.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * Uploaded abinit to main (Closes: #434912)
  * debian/control: updated Maintainers and added Uploaders section
  * debian/rules: enable optimization flags (-O2)

  [Ondrej Certik]
  * Removed non-free files and unnecessary libraries from the upstream tarball
    (see debian/copyright for more details)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 28 Jul 2007 15:04:18 +0200

abinit (5.3.4-0oc1) unstable; urgency=low

  * Unofficial release, packages work, but are not lintian clean yet and
    other small issues are still there.
  * Initial release (Closes: #434912)

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 27 Jul 2007 18:53:34 +0200

=== debian/control ===
Source: abinit
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               gfortran,
               liblapack-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/openbabel/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/openbabel/
Homepage: http://www.abinit.org/

Package: abinit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: abinit-doc
Description: package for electronic structure calculations
 ABINIT is a package whose main program allows one to find the total energy,
 charge density and electronic structure of systems made of electrons and
 nuclei (molecules and periodic solids) within Density Functional Theory (DFT),
 using pseudopotentials and a planewave basis. 
 .
 ABINIT also includes options to optimize the geometry according to the DFT
 forces and stresses, or to perform molecular dynamics simulations using these
 forces, or to generate dynamical matrices, Born effective charges, and
 dielectric tensors. Excited states can be computed within the Time-Dependent
 Density Functional Theory (for molecules), or within Many-Body Perturbation
 Theory (the GW approximation). In addition to the main ABINIT code, different
 utility programs are provided.
 .
 This package contains all programs needed to perform calculations. For
 documentation and tests, install the abinit-doc package.

Package: abinit-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: documentation for abinit package for electronic structure calculations
 ABINIT is a package whose main program allows one to find the total energy,
 charge density and electronic structure of systems made of electrons and
 nuclei (molecules and periodic solids) within Density Functional Theory (DFT),
 using pseudopotentials and a planewave basis. 
 .
 ABINIT also includes options to optimize the geometry according to the DFT
 forces and stresses, or to perform molecular dynamics simulations using these
 forces, or to generate dynamical matrices, Born effective charges, and
 dielectric tensors. Excited states can be computed within the Time-Dependent
 Density Functional Theory (for molecules), or within Many-Body Perturbation
 Theory (the GW approximation). In addition to the main ABINIT code, different
 utility programs are provided.
 .
 This package contains documentation and tests.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --with-linalg-ldflags="-lblas -llapack"

override_dh_install:
	dh_install
	mv debian/abinit/usr/bin/newsp debian/abinit/usr/bin/newsp.abinit


orig-tarball:
	mkdir tmp; \
	cd tmp; \
	wget ftp://ftp.abinit.org/pub/abinitio/ABINIT_v5.3.4/abinit-5.3.4.tar.gz; \
	tar xzf abinit-5.3.4.tar.gz; \
	cd abinit-5.3.4; \
	rm doc/users/AbinitBandStructureMaker_manual.pdf doc/users/questionscheme.pdf doc/users/elphon_manual.ps doc/theory/vanderbilt-anaddb-notes.pdf doc/theory/elasticity-oganov.pdf doc/theory/Figure.png doc/theory/Figure.eps doc/theory/gwa.pdf doc/developers/strain_nonlocal/strainpert.pdf; \
	rm lib/bigdft/bigdft-0.9.tar; \
	rm lib/etsf_io/etsf_io-0.7.tar; \
	rm lib/etsf_xc/etsf_xc-0.9.tar; \
	rm lib/linalg/lapack-pre_abinit_3.2.tar; \
	rm lib/netcdf/netcdf-3.6.2.tar; \
	rm lib/xmlf90/xmlf90-1.2g.tar; \
	cd .. ; \
	tar czf ../abinit_5.3.4.dfsg.orig.tar.gz abinit-5.3.4; \
	cd ..; rm -rf tmp

=== debian/watch ===
version=3
opts=dversionmangle=s/[.+]dfsg.*//g \
 http://www.abinit.org/downloads/source-packages/abinit-1 .*/abinit-([\d.]+)\.tar\.gz
